StreamTable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.net.tuning
Class StreamTable

    java.lang.Object
      org.davic.net.tuning.StreamTable

    public class StreamTable

extends Object

A stream table containing information about transport streams known to the receiver

Method Summary
`static TransportStream[]` | `getTransportStreams(Locator locator)` Returns the transport streams that match the locator.
`static Locator[]` | `listTransportStreams()` Returns all known transport streams on all network interfaces as an array of Locators

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTransportStreams

    public static TransportStream[] getTransportStreams(Locator locator)
                                                 throws NetworkInterfaceException

  Returns the transport streams that match the locator.

  The locator must uniquely identify the transport stream (i.e. for DVB networks, it must specify the orig_network_id and the transport_stream_id). If the locator is more specific than just identifying the transport stream, any more specific part of it will be disregarded.

  Since the same transport stream may be received via multiple networks and via multiple network interfaces, this function returns an array of all the possible transport stream objects that can be used for receiving this transport stream.

  Parameters:
    `locator` - A locator that points to a broadcast transport stream
  Returns:
    array of transport streams
  Throws:
    `IncorrectLocatorException` - raised if the locator does not reference a broadcast transport stream
    `NetworkInterfaceException`

### listTransportStreams

    public static Locator[] listTransportStreams()

  Returns all known transport streams on all network interfaces as an array of Locators

  Returns:
    array of Locators pointing to known transport streams

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD